%define name scite
%define version 371
%define release %mkrel 1
Summary: 	GTK text editor based on scintilla
Summary(de):	Auf Scintilla basierender GTK Texteditor

%define scitever %(echo %{version} | sed -e 's/\\.//')

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Editors
URL: 		http://www.scintilla.org/SciTE.html
Source: 	%{name}%{version}.tar.xz
#------------------------------------------
BuildRequires: gcc >= 4.1
BuildRequires: pkgconfig
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: libpthread-stubs
#------------------------------------------
BuildRoot: %{_tmppath}/%{name}-root


%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%description -l de
SciTE ist ein auf GTK basierender Texteditor. Da seine Fähigkeiten begrenzt 
sind, ist seine Hauptabsicht die Fähigkeiten von Scintilla, eine erweiterbare Texthervorhebungs- 
und Formatierungsengine, auf zu zeigen.

%prep
%setup -q -n scite


%build
cd ../scintilla/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
%make GTK2=1
cd $RPM_BUILD_DIR/scite/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
perl -p -i -e 's/netscape/www-browser/g' ../src/Embedded.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/html.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/SciTEGlobal.properties
%make GTK2=1

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp bin/SciTE $RPM_BUILD_ROOT/%{_bindir}/scite
cp src/*.properties $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mv doc/%{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1
mv doc/*.html $RPM_BUILD_ROOT/%{_datadir}/%{name}
mv doc/*.png $RPM_BUILD_ROOT/%{_datadir}/%{name}
mv doc/*.jpg $RPM_BUILD_ROOT/%{_datadir}/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SciTE
Comment=GTK text editor based on scintilla
Comment[de]=Auf Scintilla basierender GTK Texteditor
Exec=%{name}
Icon=editors_section.png
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=Utility;X-MandrivaLinux-MoreApplications-Editors;
EOF

%clean
rm -fr $RPM_BUILD_ROOT



%files
%defattr(-,root,root)
%doc License.txt README
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*

%changelog
* Tue Jan 17 2017 adrianomorselli <adrianomorselli> 3.7.1-1uplos2017
- rebuild

* Sat Dec 10 2016 bb <bb> 3.7.1-1pclos2017
- update

* Tue May 24 2016 bb <bb> 3.6.6-1pclos2016
- update

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 3.6.2-1pclos2015
- 3.6.2


